Bug 439600 - grubby error (malloc()) on kernel update via pup
grubby error (malloc()) on kernel update via pup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i386 Linux
high Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 10:38 EDT by James Muirhead
Modified: 2014-01-21 18:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:17:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of error (6.26 KB, text/plain)
2008-03-29 10:40 EDT, James Muirhead
no flags Details
kernel updating backtrace (19.32 KB, application/octet-stream)
2008-04-09 17:06 EDT, Edward Karavakis
no flags Details
fix for a buffer overrun in bdevid/scsi.c (1.03 KB, application/octet-stream)
2008-07-02 02:14 EDT, Kuba Ober
no flags Details

  None (edit)
Description James Muirhead 2008-03-29 10:38:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
kernel - 2.6.24.3-50.fc8.i686
*** glibc detected *** /sbin/grubby: malloc(): memory corruption: 0x08604010 ***

Get this whenever I try to update my kernel via Package Updater or yum.

Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8

How reproducible:
Always


Steps to Reproduce:
1.Run Package Updater
2.Select kernel modules from the list of updates
3.Apply updates

Actual Results:
kernel - 2.6.24.3-50.fc8.i686
*** glibc detected *** /sbin/grubby: malloc(): memory corruption: 0x08604010 ***
======= Backtrace: =========
/lib/libc.so.6[0x57a3253]
/lib/libc.so.6(__libc_malloc+0x7b)[0x57a4b7b]
/lib/libc.so.6(__strdup+0x30)[0x57a8ea0]
/usr/lib/libnash.so.6.0.19[0xde1279]
/usr/lib/libbdevid.so.6.0.19[0xcfe25a]
/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x4f1c699]
/usr/lib/libbdevid.so.6.0.19[0xcfe361]
/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x4f2df76]
/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0xcfe461]
/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0xde158a]
/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0xde1944]
/usr/lib/libnash.so.6.0.19[0xddd753]
/usr/lib/libnash.so.6.0.19[0xddd905]
/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0xddc45f]
/usr/lib/libnash.so.6.0.19[0xddc78e]
/usr/lib/libnash.so.6.0.19[0xddc902]
/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0xddc6c4]
/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0xddc9a9]
/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0xdd7d6b]
/usr/lib/libnash.so.6.0.19[0xdd80e2]
/usr/lib/libnash.so.6.0.19(nashFindFsByName+0x6e)[0xdd834c]
/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0xcf)[0xdd8490]
/sbin/grubby[0x804c4fc]
/sbin/grubby[0x804c742]
/sbin/grubby[0x804ee09]
/lib/libc.so.6(__libc_start_main+0xe0)[0x574f390]
/sbin/grubby[0x80492b1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00114000 r-xp 00000000 fd:00 28344600   /lib/bdevid/scsi.so
00114000-00115000 rwxp 00003000 fd:00 28344600   /lib/bdevid/scsi.so
00115000-00117000 r-xp 00000000 fd:00 28344599   /lib/bdevid/ata.so
00117000-00118000 rwxp 00002000 fd:00 28344599   /lib/bdevid/ata.so
00118000-0011a000 r-xp 00000000 fd:00 28344601   /lib/bdevid/usb.so
0011a000-0011b000 rwxp 00002000 fd:00 28344601   /lib/bdevid/usb.so
00250000-0026b000 r-xp 00000000 fd:00 28346059   /lib/ld-2.7.so
0026b000-0026c000 r-xp 0001a000 fd:00 28346059   /lib/ld-2.7.so
0026c000-0026d000 rwxp 0001b000 fd:00 28346059   /lib/ld-2.7.so
0027a000-0027d000 r-xp 00000000 fd:00 28346842   /lib/libuuid.so.1.2
0027d000-0027e000 rwxp 00002000 fd:00 28346842   /lib/libuuid.so.1.2
00281000-00295000 r-xp 00000000 fd:00 28344436   /lib/libdevmapper.so.1.02
00295000-00297000 rwxp 00013000 fd:00 28344436   /lib/libdevmapper.so.1.02
002e7000-002f0000 r-xp 00000000 fd:00 28346093   /lib/libblkid.so.1.0
002f0000-002f1000 rwxp 00008000 fd:00 28346093   /lib/libblkid.so.1.0
002ff000-0030f000 r-xp 00000000 fd:00 28346075   /lib/libresolv-2.7.so
0030f000-00310000 r-xp 00010000 fd:00 28346075   /lib/libresolv-2.7.so
00310000-00311000 rwxp 00011000 fd:00 28346075   /lib/libresolv-2.7.so
00311000-00313000 rwxp 00311000 00:00 0 
00324000-0035b000 r-xp 00000000 fd:00 28344702   /lib/libsepol.so.1
0035b000-0035c000 rwxp 00036000 fd:00 28344702   /lib/libsepol.so.1
003e6000-003ee000 r-xp 00000000 fd:00 28346097   /lib/libpopt.so.0.0.0
003ee000-003ef000 rwxp 00007000 fd:00 28346097   /lib/libpopt.so.0.0.0
003f1000-00467000 r-xp 00000000 fd:00 27619387   /usr/lib/libdhcp4client-3.0.6.so.0
00467000-0046c000 rwxp 00075000 fd:00 27619387   /usr/lib/libdhcp4client-3.0.6.so.0
0046c000-00476000 rwxp 0046c000 00:00 0 
00487000-004b0000 r-xp 00000000 fd:00 27599145   /usr/lib/libdhcp6client-0.10.so.0
004b0000-004b1000 rwxp 00028000 fd:00 27599145   /usr/lib/libdhcp6client-0.10.so.0
004b1000-004b4000 rwxp 004b1000 00:00 0 
004e8000-00605000 r-xp 00000000 fd:00 28346078   /lib/libcrypto.so.0.9.8b
00605000-00617000 rwxp 0011d000 fd:00 28346078   /lib/libcrypto.so.0.9.8b
00617000-0061b000 rwxp 00617000 00:00 0 
0061d000-00683000 r-xp 00000000 fd:00 27598405   /usr/lib/libparted-1.8.so.6.0.0
00683000-00685000 rwxp 00065000 fd:00 27598405   /usr/lib/libparted-1.8.so.6.0.0
00685000-00686000 rwxp 00685000 00:00 0 
00910000-00929000 r-xp 00000000 fd:00 28344405   /lib/libselinux.so.1
00929000-0092b000 rwxp 00018000 fd:00 28344405   /lib/libselinux.so.1
00cfc000-00cff000 r-xp 00000000 fd:00 27622840   /usr/lib/libbdevid.so.6.0.19
00cff000-00d00000 rwxp 00003000 fd:00 27622840   /usr/lib/libbdevid.so.6.0.19
00d1b000-00d42000 r-xp 00000000 fd:00 28346064   /lib/libm-2.7.so
00d42000-00d43000 r-xp 00026000 fd:00 28346064   /lib/libm-2.7.so
00d43000-00d44000 rwxp 00027000 fd:00 28346064   /lib/libm-2.7.so
00d46000-00d49000 r-xp 00000000 fd:00 28346061   /lib/libdl-2.7.so
00d49000-00d4a000 r-xp 00002000 fd:00 28346061   /lib/libdl-2.7.so
00d4a000-00d4b000 rwxp 00003000 fd:00 28346061   /lib/libdl-2.7.so
00d4d000-00d63000 r-xp 00000000 fd:00 27602604   /usr/lib/libdhcp.so.1
00d63000-00d64000 rwxp 00015000 fd:00 27602604   /usr/lib/libdhcp.so.1
00d64000-00d65000 rwxp 00d64000 00:00 0 
00d68000-00d7a000 r-xp 00000000 fd:00 28346063   /lib/libz.so.1.2.3
00d7a000-00d7b000 rwxp 00011000 fd:00 28346063   /lib/libz.so.1.2.3
00d7d000-00dc8000 r-xp 00000000 fd:00 27622273   /usr/lib/libnl.so.1.1
00dc8000-00dcb000 rwxp 0004b000 fd:00 27622273   /usr/lib/libnl.so.1.1
00dcd000-00de6000 r-xp 00000000 fd:00 27598860   /usr/lib/libnash.so.6.0.19
00de6000-00de7000 rwxp 00019000 fd:00 27598860   /usr/lib/libnash.so.6.0.19
00de7000-00de8000 rwxp 00de7000 00:00 0 
04f0e000-04fd8000 r-xp 00000000 fd:00 28345989   /lib/libglib-2.0.so.0.1400.6
04fd8000-04fd9000 rwxp 000ca000 fd:00 28345989   /lib/libglib-2.0.so.0.1400.6
05739000-0588c000 r-xp 00000000 fd:00 28346060   /lib/libc-2.7.so
0588c000-0588e000 r-xp 00153000 fd:00 28346060   /lib/libc-2.7.so
0588e000-0588f000 rwxp 00155000 fd:00 28346060   /lib/libc-2.7.so
0588f000-05892000 rwxp 0588f000 00:00 0 
06206000-06211000 r-xp 00000000 fd:00 28346084   /lib/libgcc_s-4.1.2-20070925.so.1
06211000-06212000 rwxp 0000a000 fd:00 28346084   /lib/libgcc_s-4.1.2-20070925.so.1
08048000-08051000 r-xp 00000000 fd:00 18088030   /sbin/grubby
08051000-08052000 rw-p 00009000 fd:00 18088030   /sbin/grubby
085fa000-0861b000 rw-p 085fa000 00:00 0 
b7e00000-b7e21000 rw-p b7e00000 00:00 0 
b7e21000-b7f00000 ---p b7e21000 00:00 0 
b7fa7000-b7fad000 rw-p b7fa7000 00:00 0 
bf7ec000-bf801000 rw-p bffea000 00:00 0          [stack]
/sbin/new-kernel-pkg: line 90:  4315 Aborted                 $grubby --add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default $makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"} ${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs" --remove-kernel="TITLE=$title"


Expected Results:
kernel should have updated

Additional info:
Comment 1 James Muirhead 2008-03-29 10:40:25 EDT
Created attachment 299579 [details]
backtrace of error
Comment 2 Edward Karavakis 2008-04-09 16:01:35 EDT
same problem here using f8 and kernel 2.6.24.4-40, I cannot update my fedora to
any recent kernel. 
*** glibc detected *** /sbin/grubby: malloc(): memory corruption: 0x08604010 ***
I will attach the backtrace in a while
Comment 3 Edward Karavakis 2008-04-09 16:51:46 EDT
smolt profile:
http://www.smolts.org/client/show/pub_4db3f5e4-e975-4645-8102-ac5fa047c2a0
using:
yum-3.2.8-2.fc8
kernel-2.6.24.3-40.fc8
grub-0.97-19
mkinitrd-6.0.19-4.fc8


Comment 4 Edward Karavakis 2008-04-09 17:06:55 EDT
Created attachment 301895 [details]
kernel updating backtrace

backtrace
Comment 5 Edward Karavakis 2008-04-15 05:32:01 EDT
any help?
Comment 6 Kuba Ober 2008-07-02 02:14:42 EDT
Created attachment 310764 [details]
fix for a buffer overrun in bdevid/scsi.c

Classical buffer overrun, causes memory corruption and subsequent cascading
failures. This completely fixes for me the grubby/nash errors seen during
kernel delete/installation.
Comment 7 Bug Zapper 2008-11-26 05:18:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:17:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.